# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KColorCells Class Reference

A table of editable color cells. More...

`#include <kcolordialog.h>`

Inheritance diagram for KColorCells:

[legend]
Collaboration diagram for KColorCells:

[legend]
List of all members.

## Signals

void | colorSelected (int col)
void | colorDoubleClicked (int col)

## Public Member Functions

| KColorCells (QWidget *parent, int rows, int cols)
void | setColor (int colNum, const QColor &col)
QColor | color (int indx) const
int | numCells () const
void | setShading (bool _shade)
void | setAcceptDrags (bool _acceptDrags)
int | getSelected () const

## Protected Member Functions

virtual void | paintCell (QPainter *painter, int row, int col)
virtual void | resizeEvent (QResizeEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | dragEnterEvent (QDragEnterEvent *)
virtual void | dropEvent (QDropEvent *)
virtual void | mouseDoubleClickEvent (QMouseEvent *)
int | posToCell (const QPoint &pos, bool ignoreBorders=false)
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QColor * | colors
bool | inMouse
QPoint | mPos
int | selected
bool | shade
bool | acceptDrags

## Detailed Description

A table of editable color cells.

Author:
  Martin Jones <mjones@kde.org>

Definition at line 251 of file kcolordialog.h.

The documentation for this class was generated from the following files:

- kcolordialog.h
- kcolordialog.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:44 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003